Can't run Test Environment! Please Help

Started by Gillton on Tue, 01/20/2015 - 19:45
Last seen on 20:49, 3. Jan 2016
Joined Jan 2015
User points:

Statistics:

  • Comments:
  • Forum topics:
  • Modifications:
  • Wiki pages:
Can't run Test Environment! Please Help
Tue, 01/20/2015 - 19:45

Hey, I can not get my test enviroment to load up. I just get this error (By the way, im on MCreator 1.4.8 (1.4.2.1) [1.6.4]):

 

== MCP 8.09 (data: 8.11, client: 1.6.4, server: 1.6.4) == [19:45:21] Jan 20, 2015 7:45:21 PM net.minecraft.launchwrapper.LogWrapper log [19:45:21] INFO: Loading tweak class name cpw.mods.fml.common.launcher.FMLTweaker [19:45:21] Jan 20, 2015 7:45:21 PM net.minecraft.launchwrapper.LogWrapper log [19:45:21] INFO: Using primary tweak class name cpw.mods.fml.common.launcher.FMLTweaker [19:45:21] Jan 20, 2015 7:45:21 PM net.minecraft.launchwrapper.LogWrapper log [19:45:21] INFO: Calling tweak class cpw.mods.fml.common.launcher.FMLTweaker [19:45:21] 2015-01-20 19:45:21 [INFO] [ForgeModLoader] Forge Mod Loader version 6.4.45.953 for Minecraft 1.6.4 loading [19:45:21] 2015-01-20 19:45:21 [INFO] [ForgeModLoader] Java is Java HotSpot(TM) 64-Bit Server VM, version 1.8.0_25, running on Windows 7:amd64:6.1, installed at C:\Program Files\Java\jdk1.8.0_25\jre [19:45:21] 2015-01-20 19:45:21 [INFO] [ForgeModLoader] Managed to load a deobfuscated Minecraft name- we are in a deobfuscated environment. Skipping runtime deobfuscation [19:45:21] 2015-01-20 19:45:21 [INFO] [ForgeModLoader] Loading tweak class name cpw.mods.fml.common.launcher.FMLInjectionAndSortingTweaker [19:45:21] 2015-01-20 19:45:21 [INFO] [ForgeModLoader] Loading tweak class name cpw.mods.fml.common.launcher.FMLDeobfTweaker [19:45:21] 2015-01-20 19:45:21 [INFO] [ForgeModLoader] Calling tweak class cpw.mods.fml.common.launcher.FMLInjectionAndSortingTweaker [19:45:21] 2015-01-20 19:45:21 [SEVERE] [ForgeModLoader] Unable to launch [19:45:21] java.util.ConcurrentModificationException [19:45:21] at java.util.ArrayList$Itr.checkForComodification(ArrayList.java:901) [19:45:21] at java.util.ArrayList$Itr.remove(ArrayList.java:865) [19:45:21] at net.minecraft.launchwrapper.Launch.launch(Launch.java:114) [19:45:21] at net.minecraft.launchwrapper.Launch.main(Launch.java:27) [19:45:21] Java HotSpot(TM) 64-Bit Server VM warning: Using incremental CMS is deprecated and will likely be removed in a future release  
Last seen on 20:21, 25. Feb 2017
Joined Apr 2014
User points:

Statistics:

  • Comments:
  • Forum topics:
  • Modifications:
  • Wiki pages:
Answer
Tue, 01/20/2015 - 19:52

IF you are using java 8u20 than you can't run górę on MC 1.6.4 to 1.7.10 (they fix this in force update )

Last seen on 20:49, 3. Jan 2016
Joined Jan 2015
User points:

Statistics:

  • Comments:
  • Forum topics:
  • Modifications:
  • Wiki pages:
RE:Answer
Tue, 01/20/2015 - 20:02

@#1 So what do I need to do to fix this? change my java?

Last seen on 20:21, 25. Feb 2017
Joined Apr 2014
User points:

Statistics:

  • Comments:
  • Forum topics:
  • Modifications:
  • Wiki pages:
The Best Way Is to Use Java
Tue, 01/20/2015 - 20:09

The Best Way Is to Use Java Converter for Fore 1.6.4
Or Use MCreator For 1.7.10

Last seen on 20:49, 3. Jan 2016
Joined Jan 2015
User points:

Statistics:

  • Comments:
  • Forum topics:
  • Modifications:
  • Wiki pages:
RE:The Best Way Is to Use Java
Tue, 01/20/2015 - 20:16

@#2 I just tried the link and putting the coremodmanager.java in the right folder and replacing the old one but im still getting the error mesage. The client is not even popping up. I need to make it on 1.6.4 as I want to add the mod I have made to my public pack :) is it possible to make a 1.6.4 mod on a later version of MCreator?